Skip to main content
GET
/
tasks
/
{uuid}
Get a task
curl --request GET \
  --url https://api.journeybee.io/v1/tasks/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "<string>",
  "title": "<string>",
  "content": "<string>",
  "due_date": "<string>",
  "shared": true,
  "lead_uuid": "<string>",
  "deal_uuid": "<string>",
  "partnership_uuid": "<string>",
  "assigned_users": [
    {
      "uuid": "<string>",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>"
    }
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json

Default Response

uuid
string
required
title
string
required
content
string | null
required
status
enum<string>
required
Available options:
to_do,
in_progress,
in_review,
done
priority
enum<string> | null
required
Available options:
low,
medium,
high,
urgent
due_date
string | null
required
shared
boolean
required
lead_uuid
string | null
required
deal_uuid
string | null
required
partnership_uuid
string | null
required
assigned_users
object[]
required
created_at
string
required
updated_at
string
required